This is a GET request https://onfleet.com/api/v2/cfGroups/task
List Templates
This endpoint will allow you to see all current templates and their custom fields. The Default Task format will always be included as a response.
curl -X GET "https://onfleet.com/api/v2/cfGroups/task" \
-u "<your_api_key>:"[
{
"id": null,
"name": "Standard pickup (default)",
"contextSaveConditions": [
{
"fieldName": "pickupTask",
"comparison": "equal_to",
"targetValue": true
}
],
"fields": [
"test",
"newTest"
]
},
{
"id": null,
"name": "Standard dropoff (default)",
"contextSaveConditions": [
{
"fieldName": "pickupTask",
"comparison": "equal_to",
"targetValue": false
}
],
"fields": [
"test",
"newTest"
]
},
{
"id": "lZvzl~X9H7BDwzaftR7ZhOF5",
"name": "Test Template",
"deletedAt": null,
"contextSaveConditions": [],
"fields": [
"test",
"newTest"
],
"isDefault": true
}
]